## kmousetool 4.13.0

=== kmousetool/CMakeLists.txt ===

add_subdirectory( pics ) 




########### next target ###############

set(kmousetool_SRCS mtstroke.cpp kmousetool.cpp main.cpp )

kde4_add_ui_files(kmousetool_SRCS kmousetoolui.ui )

kde4_add_executable(kmousetool ${kmousetool_SRCS})

target_link_libraries(kmousetool ${KDE4_KDEUI_LIBS} ${KDE4_PHONON_LIBS} ${X11_XTest_LIB} ${X11_Xext_LIB} ${X11_LIBRARIES})

install(TARGETS kmousetool  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS kmousetool.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES mousetool_tap.wav  DESTINATION  ${DATA_INSTALL_DIR}/kmousetool/sounds )

## kmousetool 4.8.2

=== debian/changelog ===
kmousetool (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:06 +0100

kmousetool (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:56 +0000

kmousetool (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:25:31 +0100

kmousetool (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:40 +0000

kmousetool (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:38 +0000

kmousetool (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:24:18 +0100

kmousetool (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 14:28:48 +0000

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libxtst-dev, libxt-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool

Package: kmousetool
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

## kmousetool 4.8.4

=== debian/changelog ===
kmousetool (4:4.8.4-3) unstable; urgency=low

  * The "I missed the epoch" release.
  * Update debian/copyright:
    - Correct doc license to GFDL-NIV-1.2+.
    - Add a comment to the doc license to explain why some keywords appear and
      how they are expanded later.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 21 Jun 2012 13:36:06 -0300

kmousetool (4.8.4-2) unstable; urgency=low

  * Add Breaks+Replaces to kmousetool-dbg against kdeaccessibility-dbg.
  * Fix Upstream-Name in debian/copyright.
  * Improve kmousetool-dbg's description.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 18 Jun 2012 13:43:38 -0300

kmousetool (4.8.4-1) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Initial packaging, split from kdeaccesibility.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Add a watch file.
  * Add myself to Uploaders.
  * Create a -dbg package.
  * Remove icons from which are not provided anymore in the tarball from the
    install list.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 17 Jun 2012 19:12:17 -0300

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), libxtst-dev, libxt-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmousetool.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kmousetool.git

Package: kmousetool
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

Package: kmousetool-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kmousetool (= ${binary:Version}), ${misc:Depends}
Breaks: kdeaccessibility-dbg (<< 4:4.8)
Replaces: kdeaccessibility-dbg (<< 4:4.8)
Description: debugging symbols for kmousetool
 This package contains the debugging symbols for kmousetool. It is to be used
 in order to be able provide proper back traces for possible crashes or
 for running kmousetool in gdb or valgrind for meaningful output
 .
 This package is part of the KDE accessibility module.

## kmousetool 4.9.2

=== debian/changelog ===
kmousetool (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:29:54 +0100

kmousetool (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:34:46 +0530

kmousetool (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:28:18 +0100

kmousetool (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:32:51 +0200

kmousetool (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:33:05 +0100

kmousetool (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 May 2012 16:55:19 -0400

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2), libxtst-dev, libxt-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool

Package: kmousetool
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

## kmousetool 4.9.3

=== debian/changelog ===
kmousetool (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:38:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libxtst-dev, libxt-dev
+ kdelibs5-dev (>= 4:4.9.3), libxtst-dev, libxt-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool

## kmousetool 4.10.0

=== debian/changelog ===
kmousetool (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:58:11 +0000

kmousetool (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:45:31 +0000

kmousetool (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:38:34 +0100

kmousetool (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:34:28 +0000

kmousetool (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:59:57 +0000

kmousetool (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:00:38 +0000

kmousetool (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:38:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3), libxtst-dev, libxt-dev
+ kdelibs5-dev (>= 4:4.10.0), libxtst-dev, libxt-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool

## kmousetool 4.10.2

=== debian/changelog ===
kmousetool (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:52:18 +0200

kmousetool (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Drop obsolete lintian-overrides file from kdeaccessibility 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:31:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libxtst-dev, libxt-dev
+ kdelibs5-dev (>= 4:4.10.2), libxtst-dev, libxt-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool

## kmousetool 4.10.3

=== debian/changelog ===
kmousetool (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:13:59 +0200

kmousetool (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:52:18 +0200

kmousetool (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * Drop obsolete lintian-overrides file from kdeaccessibility 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:31:38 +0000

kmousetool (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:58:11 +0000

kmousetool (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:45:31 +0000

kmousetool (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:38:34 +0100

kmousetool (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:34:28 +0000

kmousetool (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:59:57 +0000

kmousetool (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:00:38 +0000

kmousetool (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:38:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libxtst-dev, libxt-dev
+ kdelibs5-dev (>= 4:4.10.3), libxtst-dev, libxt-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool

## kmousetool 4.11.2

=== debian/changelog ===
kmousetool (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:30:36 +0100

kmousetool (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:26:29 +0100

kmousetool (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:20:58 +0100

kmousetool (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:41:11 +0100

kmousetool (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:43 +0000

kmousetool (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:17:58 +0100

kmousetool (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:25:14 +0100

kmousetool (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:36:54 +0100

kmousetool (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:10 +0000

kmousetool (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Bump build-deps.

 -- Sune Vuorela <sune@debian.org>  Tue, 09 Apr 2013 07:17:41 +0000

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), libxtst-dev, libxt-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmousetool.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kmousetool.git

Package: kmousetool
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

Package: kmousetool-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kmousetool (= ${binary:Version}), ${misc:Depends}
Breaks: kdeaccessibility-dbg (<< 4:4.8)
Replaces: kdeaccessibility-dbg (<< 4:4.8)
Description: debugging symbols for kmousetool
 This package contains the debugging symbols for kmousetool. It is to be used
 in order to be able provide proper back traces for possible crashes or
 for running kmousetool in gdb or valgrind for meaningful output
 .
 This package is part of the KDE accessibility module.

## kmousetool 4.11.3

=== debian/changelog ===
kmousetool (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 13:00:01 +0100

kmousetool (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:34:22 +0200

kmousetool (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 15:23:08 +0200

kmousetool (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 08:38:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: kmousetool
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
- Eshat Cakar <info@eshat.de>,
- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libxtst-dev, libxt-dev
-Standards-Version: 3.9.3
+           Eshat Cakar <info@eshat.de>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.11),
+ cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.11), libxtst-dev, libxt-dev
+Standards-Version: 3.9.4
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmousetool.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kmousetool.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmousetool.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmousetool.git
 
 Package: kmousetool
 Architecture: any

## kmousetool 4.12.2

=== debian/changelog ===
kmousetool (4:4.12.2-1) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,19 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.11),
- cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11), libxtst-dev, libxt-dev
-Standards-Version: 3.9.4
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.11),
+               libxt-dev,
+               libxtst-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmousetool.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmousetool.git
@@ -17,7 +22,7 @@
 Package: kmousetool
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: mouse manipulation tool for the disabled
  KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
  designed to help those with repetitive strain injuries, for whom pressing

## kmousetool 4.12.3

=== debian/changelog ===
kmousetool (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:41:16 +0100

kmousetool (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:54:34 +0100

kmousetool (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:06:24 +0000

kmousetool (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:22:33 +0000

kmousetool (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:14:21 +0000

kmousetool (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:14:56 +0000

kmousetool (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:12:22 +0100

kmousetool (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:44:17 +0100

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.12.3), libxtst-dev, libxt-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmousetool.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kmousetool.git

Package: kmousetool
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

Package: kmousetool-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kmousetool (= ${binary:Version}), ${misc:Depends}
Breaks: kdeaccessibility-dbg (<< 4:4.8)
Replaces: kdeaccessibility-dbg (<< 4:4.8)
Description: debugging symbols for kmousetool
 This package contains the debugging symbols for kmousetool. It is to be used
 in order to be able provide proper back traces for possible crashes or
 for running kmousetool in gdb or valgrind for meaningful output
 .
 This package is part of the KDE accessibility module.

## kmousetool 4.13.0

=== debian/changelog ===
kmousetool (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:07:52 +0100

kmousetool (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:32:04 +0200

kmousetool (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:33:51 +0100

kmousetool (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:04:02 +0000

kmousetool (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:54:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libxtst-dev, libxt-dev
+ kdelibs5-dev (>= 4:4.13.0), libxtst-dev, libxt-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kmousetool-([\d\.]*).tar.xz

## kmousetool 4.14.1

=== debian/changelog ===
kmousetool (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:21:36 +0200

kmousetool (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:14:13 +0200

kmousetool (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:56:08 +0200

kmousetool (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:23:41 +0200

kmousetool (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:17:52 +0200

kmousetool (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,29 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
- Eshat Cakar <info@eshat.de>,
- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libxtst-dev, libxt-dev
-Standards-Version: 3.9.3
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           Eshat Cakar <info@eshat.de>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libxt-dev,
+               libxtst-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmousetool.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kmousetool.git
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmousetool.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmousetool.git
 
 Package: kmousetool
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: mouse manipulation tool for the disabled
  KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
  designed to help those with repetitive strain injuries, for whom pressing

## kmousetool 4.14.2

=== CMakeLists.txt ===
project(kmousetool)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

if(Q_WS_X11)
  macro_log_feature(X11_XTest_FOUND "libXtst" "X11 Testing Resource extension library" "http://xorg.freedesktop.org" TRUE "" "Needed to build kmousetool.")

  if(X11_XTest_FOUND)
    add_subdirectory( doc )
    add_subdirectory( kmousetool )
  endif(X11_XTest_FOUND)
else(Q_WS_X11)
  message(FATAL_ERROR "kmousetool needs an X11-based system.")
endif(Q_WS_X11)

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    macro_display_feature_log()
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
kmousetool (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:53:42 +0200

kmousetool (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:34:35 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.14.2),
                libxt-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)

## kmousetool 14.12.3

=== debian/changelog ===
kmousetool (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:46:31 -0700

kmousetool (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:19:08 -0800

kmousetool (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:05:33 +0100

kmousetool (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:34:23 -0800

kmousetool (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 26 Nov 2014 16:15:57 +0000

kmousetool (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:34:35 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kmousetool
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
@@ -11,16 +10,14 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               kdelibs5-dev,
                libxt-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmousetool
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmousetool.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmousetool.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmousetool.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmousetool.git
 
 Package: kmousetool
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmousetool-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kmousetool-([\d.]+).tar.xz

## kmousetool 15.08.2

=== debian/changelog ===
kmousetool (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:35:17 +0100

kmousetool (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:09:48 +0100

kmousetool (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:31:15 +0100

kmousetool (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:35:52 +0100

kmousetool (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:10:56 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libxt-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmousetool.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmousetool.git

## kmousetool 15.08.3

=== debian/changelog ===
kmousetool (4:15.08.3-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Force installation into debian/tmp
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:22:43 +0200

kmousetool (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:07 +0100

kmousetool (4:15.04.2-1) unstable; urgency=medium

  * New upstream release (15.04.2).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:00 +0200

kmousetool (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 10:25:15 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kmousetool-dbg (<= 4:15.08.3-2~1.gbpf7ba44~)'

## kmousetool 15.12.3

=== debian/changelog ===
kmousetool (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:35:30 -0700

kmousetool (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:53:30 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmousetool.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmousetool.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmousetool.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmousetool.git
 
 Package: kmousetool
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kmousetool-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmousetool-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kmousetool-([\d.]+).tar.xz

## kmousetool 16.08.0

=== debian/changelog ===
kmousetool (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kmousetool.install, no more used now
  * Remove not-installed file, no more used now.
  * Do not ship TODO as documentation, since it is useless for users.

 -- Pino Toscano <pino@debian.org>  Wed, 24 Aug 2016 18:48:48 +0200

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev,
               libxt-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmousetool.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmousetool.git

Package: kmousetool
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kmousetool-dbg (<= 4:15.08.3-2~1.gbpf7ba44~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmousetool-([\d.]+).tar.xz

## kmousetool 16.12.3

=== debian/changelog ===
kmousetool (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:59 +0000

kmousetool (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:50 +0000

kmousetool (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:27:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
                libxt-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmousetool.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmousetool.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool
 
 Package: kmousetool
 Architecture: any
@@ -29,3 +29,17 @@
  buttons hurts.
  .
  This package is part of the KDE accessibility module.
+
+Package: kmousetool-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: kmousetool (= ${binary:Version}), ${misc:Depends}
+Breaks: kdeaccessibility-dbg (<< 4:4.8)
+Replaces: kdeaccessibility-dbg (<< 4:4.8)
+Description: debugging symbols for kmousetool
+ This package contains the debugging symbols for kmousetool. It is to be used
+ in order to be able provide proper back traces for possible crashes or
+ for running kmousetool in gdb or valgrind for meaningful output
+ .
+ This package is part of the KDE accessibility module.

## kmousetool 17.04.3

=== debian/changelog ===
kmousetool (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                libxt-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)

## kmousetool 17.12.3

=== CMakeLists.txt ===
project(kmousetool)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")

find_package (ECM 1.3.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package (KF5 REQUIRED
    DBusAddons
    DocTools
    I18n
    IconThemes
    Notifications
    XmlGui
)

find_package(Phonon4Qt5 REQUIRED NO_MODULE)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

find_package(X11 REQUIRED)
if(X11_XTest_FOUND)
    add_subdirectory( doc )
    add_subdirectory( kmousetool )
endif(X11_XTest_FOUND)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== kmousetool/CMakeLists.txt ===

add_subdirectory( pics ) 




########### next target ###############

include_directories(${X11_INCLUDE_DIR})

set(kmousetool_SRCS mtstroke.cpp kmousetool.cpp main.cpp )

ki18n_wrap_ui(kmousetool_SRCS kmousetoolui.ui )

add_executable(kmousetool ${kmousetool_SRCS})

target_link_libraries(kmousetool
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Phonon::phonon4qt5
  KF5::DBusAddons
  KF5::I18n
  KF5::IconThemes
  KF5::Notifications
  KF5::XmlGui
  ${X11_XTest_LIB}
  ${X11_Xext_LIB}
  ${X11_LIBRARIES})

install(TARGETS kmousetool  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kmousetool.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES mousetool_tap.wav  DESTINATION  ${DATA_INSTALL_DIR}/kmousetool/sounds )

=== debian/changelog ===
kmousetool (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Add missing l10n Breaks/Replaces for upgrades from Artful

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Apr 2018 17:20:33 +0100

kmousetool (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:52 +0000

kmousetool (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:08 +0000

kmousetool (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Gustavo Silva ]
  * Change deps and installed files to port app to KF5

  [ Rik Mills ]
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)
  * Single package, no install file etc
  * Update d/rules for KF5 and dbgsym migration
  * Don't install TODO docs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:45 +0000

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5doctools-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               libphonon4qt5-dev,
               libxt-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.3.0)
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool

Package: kmousetool
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kmousetool-dbg (<= 4:15.08.3-2~1.gbpf7ba44~)'
